var NAVTREE =
[
  [ "SimFQT", "index.html", [
    [ "SimFQT Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "SimFQT at SourceForge", "index.html#at_sourceforge", null ],
      [ "SimFQT Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support SimFQT", "index.html#social_sponsorship", null ],
      [ "About SimFQT", "index.html#about", null ]
    ] ],
    [ "People", "authors.html", [
      [ "Project Admins (and Developers)", "authors.html#admins", null ],
      [ "Retired Developers", "authors.html#retired", null ],
      [ "Contributors", "authors.html#contributors", null ],
      [ "Distribution Maintainers", "authors.html#distributors", null ]
    ] ],
    [ "Coding Rules", "coding_rules.html", [
      [ "Default Naming Rules for Variables", "coding_rules.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "coding_rules.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "coding_rules.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "coding_rules.html#cr_files", null ],
      [ "Default Functionality of Classes", "coding_rules.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "copyright.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "copyright.html#gnugpl", [
        [ "Version 2.1, February 1999", "copyright.html#version", null ]
      ] ],
      [ "Preamble", "copyright.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "copyright.html#terms", [
        [ "NO WARRANTY", "copyright.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "copyright.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "copyright.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "documentation.html", [
      [ "General Rules", "documentation.html#doc_general", null ],
      [ "File Header", "documentation.html#doc_header", null ],
      [ "Grouping Various Parts", "documentation.html#doc_groups", null ]
    ] ],
    [ "Main features", "features.html", [
      [ "Fare calculation", "features.html#ft_fare_calculation", null ],
      [ "Fare rule engine", "features.html#ft_fare_rule_engine", null ],
      [ "Fare retrieval", "features.html#ft_fare_retrieval", null ],
      [ "Other features", "features.html#ft_others", null ]
    ] ],
    [ "Make a Difference", "help_wanted.html", null ],
    [ "Make a new release", "howto_release.html", [
      [ "Introduction", "howto_release.html#description", null ],
      [ "Initialisation", "howto_release.html#initialisation", null ],
      [ "Release branch maintenance", "howto_release.html#branch_creation", null ],
      [ "Commit and publish the release branch", "howto_release.html#branch_publish", null ],
      [ "Create distribution packages", "howto_release.html#create_packages", null ],
      [ "Upload the HTML documentation to SourceForge", "howto_release.html#upload_doc", null ],
      [ "Generate the RPM packages", "howto_release.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "howto_release.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "howto_release.html#create_bin_packages", null ],
      [ "Upload the files to SourceForge", "howto_release.html#upload_files", null ],
      [ "Make a new post", "howto_release.html#post_news", null ],
      [ "Send an email on the announcement mailing-list", "howto_release.html#send_announce", null ]
    ] ],
    [ "Installation", "installation.html", [
      [ "Table of Contents", "installation.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "installation.html#rpm_linux", null ],
      [ "SimFQT Requirements", "installation.html#requirements", null ],
      [ "Basic Installation", "installation.html#basic_instructions", null ],
      [ "Compilers and Options", "installation.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "installation.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "installation.html#installation_names", null ],
      [ "Optional Features", "installation.html#optional_features", null ],
      [ "Particular systems", "installation.html#particular_systems", null ],
      [ "Specifying the System Type", "installation.html#specifying_system_type", null ],
      [ "Sharing Defaults", "installation.html#sharing_defaults", null ],
      [ "Defining Variables", "installation.html#defining_variables", null ],
      [ "`cmake' Invocation", "installation.html#cmake_invocation", null ]
    ] ],
    [ "Linking with SimFQT", "linking.html", [
      [ "Introduction", "linking.html#intro", null ],
      [ "Dependencies", "linking.html#dependencies", [
        [ "StdAir", "linking.html#stdairdep", null ]
      ] ],
      [ "Using the pkg-config command", "linking.html#pkgconfig", null ],
      [ "Using the simfqt-config script", "linking.html#simfqt_config", null ],
      [ "M4 macro for the GNU Autotools", "linking.html#autotools", null ],
      [ "Using SimFQT with dynamic linking", "linking.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "test.html", [
      [ "The Test File", "test.html#test_file", null ],
      [ "The Reference File", "test.html#reference_file", null ],
      [ "Testing SimFQT Library", "test.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "users_guide.html", [
      [ "Table of Contents", "users_guide.html#ug_toc", null ],
      [ "Introduction", "users_guide.html#ug_introduction", null ],
      [ "Get Started", "users_guide.html#ug_get_started", [
        [ "Get the SimFQT library", "users_guide.html#ug_get_source", null ],
        [ "Build the SimFQT project", "users_guide.html#ug_build_binaries", null ],
        [ "Run the Tests", "users_guide.html#ug_build_and_run_tests", null ],
        [ "Install the SimFQT Project (Binaries, Documentation)", "users_guide.html#ug_install_project", null ]
      ] ],
      [ "Input file of SimFQT Project", "users_guide.html#ug_inputfile", null ],
      [ "The fare quoting BOM Tree", "users_guide.html#ug_bom_bom", [
        [ "Build of the fare quoting BOM tree", "users_guide.html#ug_bom_build", null ],
        [ "Display of the fare quoting BOM tree", "users_guide.html#ug_bom_display", null ],
        [ "Structure of the fare quoting BOM tree", "users_guide.html#ug_bom_structure", null ]
      ] ],
      [ "The fare quoting procedure", "users_guide.html#ug_procedure", [
        [ "Instanciate the default booking request", "users_guide.html#ug_procedure_bookingrequest", null ],
        [ "Instanciate the default travel solution list", "users_guide.html#ug_procedure_travelsolution", null ],
        [ "Fare Quoting a list of travel solution", "users_guide.html#ug_procedure_fareQuote", null ]
      ] ],
      [ "Error Messages", "users_guide.html#ug_error_message", [
        [ "Fare input file not found", "users_guide.html#ug_error_message_input_not_found", null ],
        [ "Fare input file can not be parsed", "users_guide.html#ug_error_message_input_not_parsed", null ],
        [ "Error Messages for missing fare rules", "users_guide.html#ug_error_message_missing_fare_rule", null ]
      ] ]
    ] ],
    [ "Supported Systems", "verification.html", [
      [ "SimFQT 3.10.x", "verification.html#simfqt_3_10", [
        [ "Linux Systems", "verification.html#linux", [
          [ "Fedora Core 4 with ATLAS", "verification.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "verification.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "verification.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "verification.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "verification.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with SimFQT External", "verification.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "verification.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "verification.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "verification.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "verification.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "verification.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "verification.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "verification.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and SimFQT External", "verification.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "verification.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "verification.html#unix", [
          [ "SunOS 5.9 with SimFQT External", "verification.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "SimFQT Supported Systems (Previous Releases)", "verification_old.html", [
      [ "SimFQT 3.9.1", "verification_old.html#simfqt_3_9_1", null ],
      [ "SimFQT 3.9.0", "verification_old.html#simfqt_3_9_0", null ],
      [ "SimFQT 3.8.1", "verification_old.html#simfqt_3_8_1", null ]
    ] ],
    [ "Tutorials", "tutorials.html", [
      [ "Table of Contents", "tutorials.html#tut_toc", null ],
      [ "Preparing the SimFQT Project for Development", "tutorials.html#tut_configuration", null ],
      [ "Your first fareQuote", "tutorials.html#tut_procedure", [
        [ "Summary of the different steps", "tutorials.html#tut_procedure_summary", null ],
        [ "Result of the Batch Program", "tutorials.html#tut_procedure_results", null ]
      ] ],
      [ "Fare quoting with an input file", "tutorials.html#tut_how_fare_quoting_file", [
        [ "How to build a fare input file?", "tutorials.html#tut_how_build_fare_file", null ],
        [ "Building the BOM tree  with an input file", "tutorials.html#tut_how_fare_quoting", null ],
        [ "Result of the Batch Program", "tutorials.html#tut_how_fare_quoting_result", null ]
      ] ]
    ] ],
    [ "Command-Line Test to Demonstrate How To Test the SimFQT Project", "FQTTestSuite_cpp.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", null, [
      [ "Class List", "annotated.html", "annotated" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"BasConst_8cpp.html",
"simfqt__parseFareRules_8cpp_source.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';